VkApplicationInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
const char * | pApplicationName
uint32_t | applicationVersion
const char * | pEngineName
uint32_t | engineVersion
uint32_t | apiVersion

## Detailed Description

Definition at line 1369 of file vulkan.h.

## Field Documentation

## apiVersion

uint32_t VkApplicationInfo::apiVersion

Definition at line 1376 of file vulkan.h.

Referenced by createInstance().

## applicationVersion

uint32_t VkApplicationInfo::applicationVersion

Definition at line 1373 of file vulkan.h.

## engineVersion

uint32_t VkApplicationInfo::engineVersion

Definition at line 1375 of file vulkan.h.

## pApplicationName

const char* VkApplicationInfo::pApplicationName

Definition at line 1372 of file vulkan.h.

## pEngineName

const char* VkApplicationInfo::pEngineName

Definition at line 1374 of file vulkan.h.

## pNext

const void* VkApplicationInfo::pNext

Definition at line 1371 of file vulkan.h.

## sType

VkStructureType VkApplicationInfo::sType

Definition at line 1370 of file vulkan.h.

Referenced by createInstance().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h